KTextEditor::ConfigInterface Class Referenceabstract

`#include <configinterface.h>`

## Public Member Functions

unsigned int | configInterfaceNumber () const
virtual void | readConfig ()=0
virtual void | writeConfig ()=0
virtual void | readConfig (KConfig *)=0
virtual void | writeConfig (KConfig *)=0
virtual void | readSessionConfig (KConfig *)=0
virtual void | writeSessionConfig (KConfig *)=0
virtual void | configDialog ()=0

## Protected Member Functions

void | setConfigInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateConfigInterface

## Detailed Description

This is an interface for accessing the configuration of the Document and Plugin classes.

Definition at line 34 of file configinterface.h.

## Member Function Documentation

virtual void KTextEditor::ConfigInterface::configDialog | ( |  | ) |

pure virtual

Shows a config dialog for the part, changes will be applied to the part, but not saved anywhere automagically, call writeConfig to save it.

virtual void KTextEditor::ConfigInterface::readConfig | ( |  | ) |

pure virtual

Read/Write the config to the standard place where this editor part saves it config, say: read/save default values for that editor part, which means for all current open documents.

virtual void KTextEditor::ConfigInterface::readConfig | ( | KConfig * |  | ) |

pure virtual

Read/Write the config of the part to a given kconfig object to store the settings in a different place than the standard.

virtual void KTextEditor::ConfigInterface::readSessionConfig | ( | KConfig * |  | ) |

pure virtual

Read/Write session config of only this document/view/plugin.

The documentation for this class was generated from the following files:

- configinterface.h
- configinterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys